org.eclipse.ui.editors.text

## Class TextEditorPreferenceConstants

- java.lang.Object
- - org.eclipse.ui.editors.text.TextEditorPreferenceConstants

    public class TextEditorPreferenceConstants
    extends Object

Preference constants used in the default text editor preference store.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `EDITOR_BOOKMARK_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_BOOKMARK_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_CURRENT_LINE` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_CURRENT_LINE_COLOR` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_INFO_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_INFO_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_INFO_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_LINE_NUMBER_RULER` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_LINE_NUMBER_RULER_COLOR` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_OVERVIEW_RULER` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_PRINT_MARGIN` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_PRINT_MARGIN_COLOR` Deprecated. As of 3.0,, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_PRINT_MARGIN_COLUMN` Deprecated. As of 3.0,, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_PROBLEM_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_PROBLEM_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_SEARCH_RESULT_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_SEARCH_RESULT_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_TASK_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_TASK_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_UNKNOWN_INDICATION` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_UNKNOWN_INDICATION_COLOR` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
`static String` `EDITOR_WARNING_INDICATION` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_WARNING_INDICATION_COLOR` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point
`static String` `EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER` Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `initializeDefaultValues(IPreferenceStore store)` Initializes the given preference store with the default values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EDITOR_CURRENT_LINE

    @Deprecated
    public static final String EDITOR_CURRENT_LINE

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the current line highlighting is turned on or off (value `"currentLine"`).

The preference value is of type `Boolean`.

See Also:
  Constant Field Values

#### EDITOR_CURRENT_LINE_COLOR

    @Deprecated
    public static final String EDITOR_CURRENT_LINE_COLOR

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to highlight the current line (value `"currentLineColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  `StringConverter`, `PreferenceConverter`, Constant Field Values

#### EDITOR_PRINT_MARGIN

    @Deprecated
    public static final String EDITOR_PRINT_MARGIN

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the print margin is turned on or off (value `"printMargin"`).

The preference value is of type `Boolean`.

See Also:
  Constant Field Values

#### EDITOR_PRINT_MARGIN_COLOR

    @Deprecated
    public static final String EDITOR_PRINT_MARGIN_COLOR

Deprecated. As of 3.0,, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to render the print margin (value `"printMarginColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  `StringConverter`, `PreferenceConverter`, Constant Field Values

#### EDITOR_PRINT_MARGIN_COLUMN

    @Deprecated
    public static final String EDITOR_PRINT_MARGIN_COLUMN

Deprecated. As of 3.0,, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
Print margin column (value `"printMarginColumn"`).

The preference value is of type `int`.

See Also:
  Constant Field Values

#### EDITOR_UNKNOWN_INDICATION

    @Deprecated
    public static final String EDITOR_UNKNOWN_INDICATION

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the editor shows unknown indicators in text (squiggly lines). (value `"othersIndication"`).

The preference value is of type `Boolean`.

Since:
  2.1
See Also:
  Constant Field Values

#### EDITOR_UNKNOWN_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_UNKNOWN_INDICATION_COLOR

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to render unknown indicators (value `"othersIndicationColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

Since:
  2.1
See Also:
  `EDITOR_UNKNOWN_INDICATION`, `StringConverter`, `PreferenceConverter`, Constant Field Values

#### EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls whether the overview ruler shows unknown indicators (value `"othersIndicationInOverviewRuler"`).

The preference value is of type `Boolean`.

Since:
  2.1
See Also:
  Constant Field Values

#### EDITOR_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_OVERVIEW_RULER

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls if the overview ruler is shown in the UI (value `"overviewRuler"`).

The preference value is of type `Boolean`.

See Also:
  Constant Field Values

#### EDITOR_LINE_NUMBER_RULER

    @Deprecated
    public static final String EDITOR_LINE_NUMBER_RULER

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that controls if the line number ruler is shown in the UI (value `"lineNumberRuler"`).

The preference value is of type `Boolean`.

See Also:
  Constant Field Values

#### EDITOR_LINE_NUMBER_RULER_COLOR

    @Deprecated
    public static final String EDITOR_LINE_NUMBER_RULER_COLOR

Deprecated. As of 3.0, replaced by `AbstractDecoratedTextEditorPreferenceConstants`
A named preference that holds the color used to render line numbers inside the line number ruler (value `"lineNumberColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  `StringConverter`, `PreferenceConverter`, `EDITOR_LINE_NUMBER_RULER`, Constant Field Values

#### EDITOR_PROBLEM_INDICATION

    @Deprecated
    public static final String EDITOR_PROBLEM_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_PROBLEM_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_PROBLEM_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_WARNING_INDICATION

    @Deprecated
    public static final String EDITOR_WARNING_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_WARNING_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_WARNING_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_INFO_INDICATION

    @Deprecated
    public static final String EDITOR_INFO_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_INFO_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_INFO_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_TASK_INDICATION

    @Deprecated
    public static final String EDITOR_TASK_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_TASK_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_TASK_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_BOOKMARK_INDICATION

    @Deprecated
    public static final String EDITOR_BOOKMARK_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_BOOKMARK_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_BOOKMARK_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_SEARCH_RESULT_INDICATION

    @Deprecated
    public static final String EDITOR_SEARCH_RESULT_INDICATION

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_SEARCH_RESULT_INDICATION_COLOR

    @Deprecated
    public static final String EDITOR_SEARCH_RESULT_INDICATION_COLOR

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_ERROR_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_WARNING_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_INFO_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_INFO_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_TASK_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_BOOKMARK_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

#### EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER

    @Deprecated
    public static final String EDITOR_SEARCH_RESULT_INDICATION_IN_OVERVIEW_RULER

Deprecated. As of 2.1, provided by `org.eclipse.ui.editors.markerAnnotationSpecification` extension point

See Also:
  Constant Field Values

### Method Detail

#### initializeDefaultValues

    public static void initializeDefaultValues(IPreferenceStore store)

Initializes the given preference store with the default values.

Parameters:
  `store` - the preference store to be initialized